Update Job Family
curl --request PATCH \
--url https://{tenant_name}.{region}.techwolf.ai/job_architecture/job_families/{job_family_external_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"job_family_name": "Software Engineer",
"job_family_group": "IT & Engineering",
"active": true
}
'import requests
url = "https://{tenant_name}.{region}.techwolf.ai/job_architecture/job_families/{job_family_external_id}"
payload = {
"job_family_name": "Software Engineer",
"job_family_group": "IT & Engineering",
"active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
job_family_name: 'Software Engineer',
job_family_group: 'IT & Engineering',
active: true
})
};
fetch('https://{tenant_name}.{region}.techwolf.ai/job_architecture/job_families/{job_family_external_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"title": "400 Bad Request",
"description": "The request body was not structured correctly."
}
][
{
"title": "401 Unauthorized",
"description": "OAuth access token is missing, invalid or expired."
}
][
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
][
{
"title": "404 Not Found",
"description": "Unknown external_id describing this resource. Please create this resource first."
}
][
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
]"max connections reached: <limit>"[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]CRUD
Update Job Family
Submit the most up-to-date Job Family information. Any field that is present will overwrite existing values within the system, while absent fields will be left as-is.
Update Job Family
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The unique Job Family ID in your system, consisting of alphanumeric characters, hyphens and underscores.
Body
application/json
Default structure for updating Job Family Data.
Name of the Job Family.
Required string length:
1 - 255Example:
"Software Engineer"
Name of the Job Family Group.
Required string length:
1 - 255Example:
"IT & Engineering"
The Job Family will not be used in matching if active is false. This is useful when a Job Family is being phased out.
Example:
true
Response
No Content
Was this page helpful?
⌘I